Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class ILineAgent

    java.lang.Object
      igeo.IObject
          igeo.IAgent
              igeo.ILineAgent

All Implemented Interfaces:
  IDynamics, ISubobject

    public class ILineAgent

extends IAgent

Class of an agent with a line with start and end points.

Author:
  Satoru Sugihara

Field Summary
`ILineAgentGeo` | `line`

Fields inherited from class igeo.IAgent
`alive, duration, interactOverridden, localDynamics, parent, targets, time`

Fields inherited from class igeo.IObject
`attribute, dynamics, graphics, parameter, server, userData`

Constructor Summary
`ILineAgent()`
`ILineAgent(IVec rootPos)`
`ILineAgent(IVec rootPos, IVec lineDir)`

Method Summary
`IVec` | `dif()` alias of dir()
`IVec` | `dir()` direction from root to pos
`IVec` | `end()` alias of pos()
`ILineAgent` | `hide()`
`ICurve` | `line()`
`IVec` | `pos()` current position, i.e.
`IVec` | `prevPos()` alias of root()
`IVec` | `pt1()` alias of root()
`IVec` | `pt2()` alias of pos()
`IVec` | `root()` previous position, i.e.
`ILineAgent` | `show()`
`IVec` | `start()` alias of root()

Methods inherited from class igeo.IAgent
`addDynamics, alive, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, del, del, deletDynamics, deleteDynamics, deleteDynamics, duration, duration, dynamicsNum, getDynamics, hsb, hsb, hsb, hsb, initAgent, interact, interact, layer, localDynamics, name, parent, parent, postinteract, postupdate, preinteract, preupdate, removeTarget, removeTarget, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setHSBColor, setHSBColor, setHSBColor, setHSBColor, target, target, targetNum, targets, time, time, update, updateGraphic, updateTarget, weight, weight`

Methods inherited from class igeo.IObject
`alpha, alphaInt, attr, attr, attr, awtColor, blue, blueInt, clearDynamics, clearGraphics, clr, clr, clr, clr, clr, cp, createGraphic, defaultAttribute, deleteGraphic, dup, getAWTColor, getColor, getGraphic, getGraphic, getParameter, graphicsNum, gray, grayInt, green, greenInt, greyInt, initGraphic, initObject, isValid, isVisible, layer, layer, name, red, redInt, resetGraphic, server, setColor, setColor, setColor, setColor, setParameter, syncColor, syncGraphic, syncVisibility, syncWeight, userData, userData, visible, weight`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### line

    public ILineAgentGeo line

Constructor Detail

### ILineAgent

    public ILineAgent(IVec rootPos,
                      IVec lineDir)

### ILineAgent

    public ILineAgent(IVec rootPos)

### ILineAgent

    public ILineAgent()

Method Detail

### pos

    public IVec pos()

  current position, i.e. end point of line

### end

    public IVec end()

  alias of pos()

### pt2

    public IVec pt2()

  alias of pos()

### root

    public IVec root()

  previous position, i.e. start/root point of line

### start

    public IVec start()

  alias of root()

### prevPos

    public IVec prevPos()

  alias of root()

### pt1

    public IVec pt1()

  alias of root()

### dir

    public IVec dir()

  direction from root to pos

### dif

    public IVec dif()

  alias of dir()

### line

    public ICurve line()

### hide

    public ILineAgent hide()

  Overrides:
    `hide` in class `IAgent`

### show

    public ILineAgent show()

  Overrides:
    `show` in class `IAgent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD